> ## Documentation Index
> Fetch the complete documentation index at: https://developers.onidel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a VM by UUID

> Gets a VM by its UUID



## OpenAPI

````yaml /api-reference/openapi.yaml get /vm/{vm_id}
openapi: 3.0.3
info:
  title: Onidel Cloud API - OpenAPI 3.0
  description: >-
    Welcome to the **Onidel Cloud API** documentation. This API allows
    developers to seamlessly integrate with the Onidel Cloud platform, enabling
    them to manage cloud resources efficiently and securely. With our API, you
    can automate processes, retrieve detailed account information, and manage
    virtual machines (VPS), networking, storage, and more.
  termsOfService: https://docs.onidel.com/policies/terms-of-service
  contact:
    email: support@onidel.com
  version: 1.2.0
servers:
  - url: https://api.cloud.onidel.com
security: []
tags:
  - name: SSH Key
    description: Manage SSH keys for secure server access.
  - name: VPC
    description: Manage Virtual Private Cloud (VPC) networks for isolated networking.
  - name: Firewall
    description: Manage firewall groups for VM security.
  - name: OS Template
    description: >-
      We have a wide range of operating systems available to deploy server
      instances.
  - name: Instance Type
    description: We provide different instance types for different workload.
  - name: Startup Script
    description: >-
      Manage startup scripts that run on first boot of a server instance.
      Maximum 10 scripts per team.
  - name: IP List
    description: >-
      Manage IP lists for use in firewall rules. IP lists group multiple IP
      addresses/CIDRs together.
  - name: Firewall Rule
    description: Manage firewall rules within a firewall group.
  - name: Object Storage
    description: Manage S3-compatible object storage services, buckets, and access keys.
  - name: Custom ISO
    description: Manage custom ISO images that can be used to boot server instances (BYOI).
  - name: Measured Boot Image
    description: >-
      Manage SEV-SNP measured direct boot images (UKIs) and attach/detach them
      to instances.
paths:
  /vm/{vm_id}:
    get:
      tags:
        - Virtual Machine
      summary: Get a VM by UUID
      description: Gets a VM by its UUID
      operationId: getVM
      parameters:
        - name: vm_id
          in: path
          description: Service UUID that need to be considered for filter
          required: true
          explode: true
          schema:
            type: string
            format: uuid
        - name: team_id
          in: query
          description: >-
            Team ID that need to be considered for filter. Default team will be
            used if not provided.
          required: false
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VM'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
        - api_key: []
components:
  schemas:
    VM:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: c1d45377-b2a9-4407-ab8d-6909c34dfaac
        name:
          type: string
          format: string
          example: ubuntu-vm-4vcpu-8gb
        password:
          type: string
          description: The server's auto-generated administrator/root password.
          example: s3cr3t-p4ssw0rd
        vcpu:
          type: integer
          format: int64
          example: 2
        ram:
          type: integer
          format: int64
          example: 4096
        disk:
          type: integer
          format: int64
          example: 40
        bw_used:
          type: number
          format: float
          example: 12.5
        main_ipv4:
          type: string
          format: string
          example: 160.22.79.122
        main_ipv6:
          type: string
          format: string
          example: 2401:a4a0:1:90::1
        template:
          type: string
          format: string
          example: Ubuntu 24.04 x64 LTS
        firewall_group_id:
          type: string
          format: uuid
          nullable: true
          example: ac135def-c613-4a08-fd8e-a20acbdd23a9
        created_at:
          type: string
          format: datetime
          example: '2024-10-04T10:20:22.922772Z'
        renewed_at:
          type: string
          format: datetime
          example: '2024-10-04T10:20:22.922772Z'
        due_date:
          type: string
          format: datetime
          example: '2024-10-04T10:20:22.922772Z'
        recurring_amount:
          type: number
          format: float
          example: 5.5
        amount_paid:
          type: number
          format: float
          example: 1.2345
        payment_currency:
          type: string
          format: string
          example: AUD
        billing_cycle:
          type: integer
          format: int64
          example: 1
        status:
          type: string
          format: string
          enum:
            - building
            - active
            - suspended
            - awaiting_payment
            - taking_snaphot
            - restoring
            - terminating
            - migrating
  securitySchemes:
    api_key:
      type: http
      scheme: bearer

````